V2AttributeCertificateInfoGenerator (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class V2AttributeCertificateInfoGenerator

- java.lang.Object
- - org.bouncycastle.asn1.x509.V2AttributeCertificateInfoGenerator

-     public class V2AttributeCertificateInfoGenerator
      extends java.lang.Object

  Generator for Version 2 AttributeCertificateInfo

       AttributeCertificateInfo ::= SEQUENCE {
             version              AttCertVersion -- version is v2,
             holder               Holder,
             issuer               AttCertIssuer,
             signature            AlgorithmIdentifier,
             serialNumber         CertificateSerialNumber,
             attrCertValidityPeriod   AttCertValidityPeriod,
             attributes           SEQUENCE OF Attribute,
             issuerUniqueID       UniqueIdentifier OPTIONAL,
             extensions           Extensions OPTIONAL
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `V2AttributeCertificateInfoGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(Attribute attribute)`
    `void` | `addAttribute(java.lang.String oid, ASN1Encodable value)`
    `AttributeCertificateInfo` | `generateAttributeCertificateInfo()`
    `void` | `setEndDate(ASN1GeneralizedTime endDate)`
    `void` | `setExtensions(Extensions extensions)`
    `void` | `setExtensions(X509Extensions extensions)` Deprecated. use method taking Extensions
    `void` | `setHolder(Holder holder)`
    `void` | `setIssuer(AttCertIssuer issuer)`
    `void` | `setIssuerUniqueID(DERBitString issuerUniqueID)`
    `void` | `setSerialNumber(ASN1Integer serialNumber)`
    `void` | `setSignature(AlgorithmIdentifier signature)`
    `void` | `setStartDate(ASN1GeneralizedTime startDate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V2AttributeCertificateInfoGenerator

          public V2AttributeCertificateInfoGenerator()

  - ### Method Detail

    - #### setHolder

          public void setHolder(Holder holder)

    - #### addAttribute

          public void addAttribute(java.lang.String oid,
                                   ASN1Encodable value)

    - #### addAttribute

          public void addAttribute(Attribute attribute)

      Parameters:
        `attribute` -

    - #### setSerialNumber

          public void setSerialNumber(ASN1Integer serialNumber)

    - #### setSignature

          public void setSignature(AlgorithmIdentifier signature)

    - #### setIssuer

          public void setIssuer(AttCertIssuer issuer)

    - #### setStartDate

          public void setStartDate(ASN1GeneralizedTime startDate)

    - #### setEndDate

          public void setEndDate(ASN1GeneralizedTime endDate)

    - #### setIssuerUniqueID

          public void setIssuerUniqueID(DERBitString issuerUniqueID)

    - #### setExtensions

          public void setExtensions(X509Extensions extensions)

      Deprecated. use method taking Extensions
      Parameters:
        `extensions` -

    - #### setExtensions

          public void setExtensions(Extensions extensions)

    - #### generateAttributeCertificateInfo

          public AttributeCertificateInfo generateAttributeCertificateInfo()